% DSO Logo Creator
% (c) Christian Reinbacher 2010-11-29

close all
clear all

filename='~/Documents/dso_nano/firmware_build/dso-firmware/logo_mod.png';
% Now build own logo
logo=flipud(imread(filename));
if(size(logo,1)~=38 && size(logo,2)~=112)
    error('Logo size has to be 112x38');
end
D=zeros(38*7,1);
k=1;
for j=1:38
    for i=1:7
        b=0;
        for l=1:16
            if(logo(38-(j-1),(i-1)*16+l)>0)
                b=b+2^(l-1);
            end
        end
        D(k)=b;
        k=k+1;
    end
end
% And output to console
k=1;
for y=1:38
    for x=1:7
        fprintf(1,'0x%s,',dec2hex(D(k),4));
        k=k+1;
    end
    fprintf(1,'\n');
end